# LittleLink Version History

## Current Version: v3.1.0

### v3.1.0 - 1/20/2024
- Added alternate YouTube button (`PR #138` / `@Omikorin`)
- Fixed `index.html` accessibilty issues (`PR #137` / `@rosahaj`)

### v3.0.2 - 12/20/2024
- Added Obsidian as a brand

### v3.0.1 - 11/13/2024
- Removed Trakt logo from `images/icons` since this now lives in LittleLink Extended
- Favicon update for `privacy.html`

### v3.0.0 - 11/13/2024
A complete modernization of LittleLink focusing on accessibility, maintainability, and more modern web standards.

#### Major Changes
- Complete rebuild of CSS architecture
  - Moved away from Skeleton CSS dependency to custom, purpose-built CSS
  - Improved maintainability with modular CSS structure
  - Enhanced dark mode and auto theming implementation
  - Enhanced `brands.css`

- Accessibility Improvements
  - Improved keyboard navigation throughout
  - Enhanced screen reader compatibility
  - Better focus management and visible focus states
  - Proper ARIA labels and semantic HTML structure

- HTML Modernization
  - Rebuilt `index.html`
  - Rebuilt `privacy.html`
  - Optimized meta tags and SEO structure

#### Developer Experience
- Better documented codebase
- Simplified customization process
- Improved maintainability
- More consistent standards
- Added VERSION.md so you know what version of LittleLink you downloaded

#### Brand Changes
- Updated PayPal button color
- Updated Discord button color
- Updated YouTube button color
- Updated Pinterest button color
- Updated Ko-fi button color and updated their logo
- Updated Medium logo
- Updated WordPress button color
- Moved NGL to LittleLink Extended
- Moved Redbubble to LittleLink Extended
- Moved Revolut to LittleLink Extended
- Moved Trakt to LittleLink Extended
- Moved Untapped to LittleLink Extended
- Moved Upwork to LittleLink Extended

---
For the complete history of changes, please visit:
https://github.com/sethcottle/littlelink/releases
